/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var WebColumnStateDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebColumnStateDescription, _super);
    function WebColumnStateDescription() {
        var _this = _super.call(this) || this;
        _this.r = false;
        _this.u = false;
        _this.l = false;
        _this.k = false;
        _this.v = false;
        _this.m = false;
        _this.as = null;
        _this.at = null;
        _this.au = null;
        _this.n = false;
        _this.q = false;
        _this.p = false;
        _this.ap = null;
        _this.o = false;
        _this.aq = null;
        _this.al = null;
        _this.ar = null;
        _this.s = false;
        _this.t = false;
        _this.i = false;
        _this.ak = null;
        _this.j = false;
        return _this;
    }
    WebColumnStateDescription.prototype.get_type = function () {
        return "WebColumnState";
    };
    Object.defineProperty(WebColumnStateDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "pinned", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.g("Pinned");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "sortable", {
        get: function () {
            return this.u;
        },
        set: function (a) {
            this.u = a;
            this.g("Sortable");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "filterable", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.g("Filterable");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "editable", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.g("Editable");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "sortingIgnoreCase", {
        get: function () {
            return this.v;
        },
        set: function (a) {
            this.v = a;
            this.g("SortingIgnoreCase");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "filteringIgnoreCase", {
        get: function () {
            return this.m;
        },
        set: function (a) {
            this.m = a;
            this.g("FilteringIgnoreCase");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "headerClasses", {
        get: function () {
            return this.as;
        },
        set: function (a) {
            this.as = a;
            this.g("HeaderClasses");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "headerGroupClasses", {
        get: function () {
            return this.at;
        },
        set: function (a) {
            this.at = a;
            this.g("HeaderGroupClasses");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "maxWidth", {
        get: function () {
            return this.au;
        },
        set: function (a) {
            this.au = a;
            this.g("MaxWidth");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "groupable", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.g("Groupable");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "movable", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.g("Movable");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "hidden", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.g("Hidden");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "dataType", {
        get: function () {
            return this.ap;
        },
        set: function (a) {
            this.ap = a;
            this.g("DataType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "hasSummary", {
        get: function () {
            return this.o;
        },
        set: function (a) {
            this.o = a;
            this.g("HasSummary");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "field", {
        get: function () {
            return this.aq;
        },
        set: function (a) {
            this.aq = a;
            this.g("Field");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "width", {
        get: function () {
            return this.al;
        },
        set: function (a) {
            this.al = a;
            this.g("Width");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "header", {
        get: function () {
            return this.ar;
        },
        set: function (a) {
            this.ar = a;
            this.g("Header");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "resizable", {
        get: function () {
            return this.s;
        },
        set: function (a) {
            this.s = a;
            this.g("Resizable");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "searchable", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.g("Searchable");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "columnGroup", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.g("ColumnGroup");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "parent", {
        get: function () {
            return this.ak;
        },
        set: function (a) {
            this.ak = a;
            this.g("Parent");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebColumnStateDescription.prototype, "disableHiding", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.g("DisableHiding");
        },
        enumerable: false,
        configurable: true
    });
    WebColumnStateDescription.$t = markType(WebColumnStateDescription, 'WebColumnStateDescription', Description.$);
    WebColumnStateDescription.__marshalByValue = true;
    WebColumnStateDescription.__marshalByValueAlias = "ColumnState";
    return WebColumnStateDescription;
}(Description));
export { WebColumnStateDescription };
